Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[NEED HELP] Cannot launch xonotic-linux64-dedicated server (v0.8.5) in Ubuntu18.04

#1
Hi folks, 
I hope to run xonotic-linux64-dedicated server (v0.8.5) in Ubuntu 18.04
I downloaded the latest version of Xonotic release (v0.8.5) from https://github.com/garymoon/xonotic/rele...-0.8.5.zip
and I cannot run it in Ubuntu 18.04.


Following is the output error message when I execute ./xonotic-linux64-dedicated
Code:
~/Xonotic$ ./xonotic-linux64-dedicated

./xonotic-linux64-dedicated: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by ./xonotic-linux64-dedicated)
./xonotic-linux64-dedicated: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.28' not found (required by ./xonotic-linux64-dedicated)

Code:
$ ldd --version
ldd (Ubuntu GLIBC 2.27-3ubuntu1.6) 2.27
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.

[Note]
- I can run v0.8.2 dedicated server in Ubuntu 18.04
- I can run v0.8.5 dedicated server in Ubuntu 20.04
- I didn't try to build (compile) Xonotic from the source code
Reply

#2
If you don't want to update Ubuntu nor compile from source, you could try the Flatpak or Snap version.
Reply

#3
Thumbs Up 
(08-05-2022, 05:37 AM)oblector Wrote: If you don't want to update Ubuntu nor compile from source, you could try the Flatpak or Snap version.

Thank you @oblector
It seems the official xonotic package would not support Ubuntu 18.04. 
Let me test and use other options like you suggested ! Smile
Reply

#4
(08-12-2022, 12:48 AM)ff8eyes Wrote:
(08-05-2022, 05:37 AM)oblector Wrote: If you don't want to update Ubuntu nor compile from source, you could try the Flatpak or Snap version.

Thank you @oblector
It seems the official xonotic package would not support Ubuntu 18.04. 
Let me test and use other options like you suggested ! Smile

Yes, you need the newer GLIBC for 0.8.5. Had to upgrade myself for this specific reason.
On the other hand, it just works in Winblows, if you dare Smile
FAF - COPENHAGEN - DENMARK - GNU/Linux  Heart
Reply



Possibly Related Threads...
Thread Author Replies Views Last Post
  [NEED HELP] Trouble with setting up a non-local private server spaceenfix 1 768 11-22-2021, 10:27 AM
Last Post: Mario
  [NEED HELP] Menu freezes when typing server address, old bug? MeLikeyTacos 2 673 10-21-2021, 09:59 PM
Last Post: MeLikeyTacos
  Impossible to connect to the Xonotic 0.8.2 server NoBrain 3 1,137 06-16-2021, 02:23 AM
Last Post: nj
  [NEED HELP] Offensive Servername - Block Server? conidad 1 960 03-30-2021, 10:59 AM
Last Post: _para
  [NEED HELP] server denied rcon access ristiisa 3 1,158 11-20-2020, 09:53 AM
Last Post: ristiisa
  [SOLVED] Xonotic won't launch on Win10 noChance79 4 4,493 09-07-2019, 05:20 PM
Last Post: Semro
  [NEED HELP] Decrease server log level falco 1 1,427 04-17-2019, 06:11 PM
Last Post: BuddyFriendGuy
  [NEED HELP] Segmentation fault on launch Gouldron 0 1,194 04-06-2019, 02:54 PM
Last Post: Gouldron
  [NEED HELP] setting up server with custom maps le Bork 2 1,995 01-31-2019, 01:06 PM
Last Post: morosophos
  How display server list ? draikhin 1 1,649 01-21-2019, 07:26 AM
Last Post: draikhin

Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-